Fulfillment returns

The Fulfillment Returns API facilitates the management of return processes for orders coordinated by Digital River. It allows businesses to handle product returns efficiently, ensuring that returned items are processed, restocked, or disposed of according to company policies. This resource provides developers with tools to seamlessly integrate returns management into their order fulfillment systems.

Returns a list of fulfillment returns

get

Get all returns.

Query parameters
endingBeforestringOptional

A cursor for use in pagination. The endingBefore parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with xyz your subsequent calls can include endingBefore=xyz in order to fetch the previous page of the list.

startingAfterstringOptional

A cursor for use in pagination. The startingAfter parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with xyz, your subsequent calls can include startingAfter=xyz in order to fetch the next page of the list.

limitinteger · min: 1 · max: 100Optional

A limit on the number of objects returned. Limit can range between 1 and 100, and the default is 10.

idsstring[]Optional

Only return objects with these IDs.

upstreamIdsstring[]Optional

Only return objects with these upstreamIds.

statestringOptional

Only return objects in the given state

fulfillmentOrderIdstringOptional

The fulfillment order to retrieve returns for.

inventoryItemIdstringOptional

The inventory item id to retrieve returns for.

Responses
chevron-right
200

200 OK

application/json
hasMorebooleanOptional

Whether or not there are more elements available after this set. If false this set represents the end of the list.

Example: true
get
/fulfillment-returns

Creates a return

post

Returns all or part of a previously created fulfillment order.

Body
fulfillmentOrderIdstringRequired

The unique identifier of the fulfillment order associated with the fulfillment return.

Example: 6645940010
upstreamIdstringOptional

The unique identifier of the upstream order.

Example: 6645940010
reasonstringOptional

The reason for the return.

Example: requested_by_customer
Responses
post
/fulfillment-returns

Gets a fulfillment return by its unique identifier

get

Retrieves a fulfillment return. Supply the unique identifier of the return.

Path parameters
idstringRequired

Return ID

Responses
chevron-right
200

OK.

application/json
idstringRead-onlyOptional

The unique identifier for the fulfillment return.

Example: ret_5823594809
createdTimestring · date-timeRead-onlyOptional

The time when the fulfillment return was created.

Example: 2018-04-25T20:36:00Z
fulfillmentOrderIdstringRead-onlyOptional

The unique identifier of the fulfillment order associated with the fulfillment return.

Example: ord_6645940010
upstreamIdstringRead-onlyOptional

The unique identifier of the upstream order.

Example: ord_6645940010
reasonstringOptional

The reason for the return.

Example: requested_by_customer
statestring · enumOptional

An enumeration indicating the state of the fulfillment return.

Example: pendingPossible values:
typestring · enumOptional

An enumeration indicating the type of the fulfillment return.

Example: clientPossible values:
livemodebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
get
/fulfillment-returns/{id}

Last updated